Require Export ClassicalFacts.

Axiom extensionality : forall (A B:Type) 
(f g : A -> B), (forall x, f x = g x) -> f =g. 
Implicit Arguments extensionality.  

Axiom prop_ext: ClassicalFacts.prop_extensionality.
Implicit Arguments prop_ext.

Lemma orb_refl: forall b, orb b b = b.
Proof.
intros. remember b; destruct b; subst; simpl; trivial.
Qed.  

